<div class="modal-content flex flex-col justify-between items-start">
	<blackbird-modal-header (closeEvent)="close()"></blackbird-modal-header>
	<div class="flex flex-col justify-center items-start pb-5 px-5" [class.text-right]="isRTL()">
		<h1 class="text-2xl font-normal">{{ title | translate }}</h1>
		<p class="text-lg font-normal text-bgTwo">{{ description | translate }}</p>
	</div>
	<div class="flex flex-row justify-end items-center w-full p-5">
		<div class="flex flex-row justify-start items-center">
			<div class="flex flex-row justify-end items-center">
				<button (click)="result = reverseButtons; close()" class="flex transparent-btn px-8">
					<span class="btn-text">
						{{ (reverseButtons ? confirmationText : cancelText) | translate }}
					</span>
				</button>

				<button (click)="result = !reverseButtons; close()" class="cta-primary-btn px-6 bg-primary flex">
					<span class="btn-text">
						{{ (reverseButtons ? cancelText : confirmationText) | translate }}
					</span>
				</button>
			</div>
		</div>
	</div>
</div>
